<?php
namespace App\Http\Controllers;

use App\Models\Contenido;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Http;
use Illuminate\Support\Facades\Log;
class ContenidoController extends Controller
{
    protected $firestoreUrl;
    protected $projectId;
    protected $privateKey;
    protected $clientEmail;

    public function __construct()
    {
        // Datos de configuración para Firebase
        $this->projectId = 'integrador-9f039';
        $this->firestoreUrl = 'https://firestore.googleapis.com/v1/projects/' . $this->projectId . '/databases/(default)/documents';
        $this->privateKey = "-----BEGIN PRIVATE KEY-----\nMIIEvQIBADANBgkqhkiG9w0BAQEFAASCBKcwggSjAgEAAoIBAQC2/JFdt39wDoZd\np2+K1grHTDn73il0LGzuiJ387/t/eGNKe2EMUKcFo9UKzg7c0DFn+ljjSIzMMbId\n3CuHdtO/PWJFyEQ2DmAdAs7JF9gsaWF7a+PuH+AwqFOwC+y63oEqVCD+ZVILSwvY\nerZynnf0+VOP/EyUW7lS+B3tJ/9yRgiQ5tVRYr6MgEJaBhr3c0f7LsNkJFC50x9G\nyyG5hSbsPf6TaJXTsM8EkNbPkLz2fITUykSbDzVjNfh0avhZohcNiThEGO31n9Hs\ngm33C4cExC/ke5l8OmK+2Hy2Qy2MgXE48/yUdf+QVsD96XWv9VPOfUClm0ei0oWA\nUwY4UY7TAgMBAAECggEAFVTsPVie6plG4LQcNLsvFny0ZcBIZNqo+EXE5S+0ye9m\n48/uSFk+n1GyDEhpQySiHdT5d8WFZGiGsyRvjqMznB+zzR7DlOmoGrmxEZBOCx9d\n1d2F/MSKhiGZX/SD7GTz+dNE5WM6ZUaiYuIrUsFWiqBmNWrcIo9u01VJZ9Q520BL\n89qhB+0HBNyzcy/q8bbQqMT/NPq+X+eCg7GA//qTLf3cYXtI6M8irlhFnWqmbKkn\n5S3SFJ7dfVgTmN30aZT2kqkp+lFsXXbYlW3yIrDjQaOuRavad9oeegvDjwLiJCP1\nEylWi3AQJPZFj+83m8eThfmwrmC/34AuYilcU+DoQQKBgQD1PXRNwwFSqwgzi641\nZUYAegZ8GzBasEZjn9I1vGMKb6v5x+fN4/d3wn3zV3u8kY8X02g+H1lpgX0gLxmg\nqj6pygs4qcGC83Y6gSJhyvoT3w4llX3NG/o+5orsGb/+caQJ6kJEAxa7uf1IUVkZ\nouD4mM7g4EFLo+q0V+b701SV5QKBgQC/A+FYBgBrA2NoEx9l6x1iUyEKovTrwx6/\nB5u/LDFI907sbFoZjvOpXqhVvcT9d/lWAf7d7IhsT3D48VyxO86lkcZ88IsywKXF\nHWsNfbncrewxIeK4Jai9ksy0+ZUbCG6nIsj8OkxhbISLf6MjqFCxm6NttThEXUMH\nfwPQld5GVwKBgF2j2YTXsOmf5MHJ0/sPcGs+LLu2pf/6zuW7YMij5i1V9pSpgBld\nsmBII0+HV/fonHq8flE6JyniB6UCVwbB+qtaOm6oYvtdewdbx4UPu+1afkxbiG2J\nAUSDQwhjzKubOMeQaz0M8OE9Yzj51suzJbPGpTe4aTY4oKW76ra9Os8BAoGAM3pa\nOpyzdCOfoKa2qYLpklwQ5YrxMrCNErJ8ONMyHRX5QSIaThUGebi26RSRiDXTDmjP\nRQO/6GCoc46oimMx19EnivhQq0bb5fl9pk8hzeVZaAxXy4TqqtxrKsKwem6VU5m+\nTKtxdjgGqImnb66mwJbPPnu+RD5WGCkU4BvjoVUCgYEAyaZZvfYdrY7RVwVBGfwf\nHQ/4qyEHslFcY2LbHMEwYT4cDEPBaBGxDbAAQ5udPBP+nvKHouVUwKGrul/OKd1c\nlU0cpZur8qdOU1rnqkPnO9H2wnsLaTdEXZt0k+/sK60Hg6o5ElXuubGP44EfdxQF\nD57oN0dNNfNcVZ0aAxbhOK8=\n-----END PRIVATE KEY-----\n";
        $this->clientEmail = 'firebase-adminsdk-oim2s@integrador-9f039.iam.gserviceaccount.com';
    }

    public function store(Request $request)
    {
        // Validar la entrada
        $request->validate([
            'nombre' => 'required|string|max:255',
            'descripcion' => 'required|string',
            'enlace' => 'required|url',
        ]);
    
        // Crear el contenido en la base de datos local
        $contenido = Contenido::create([
            'nombre' => $request->nombre,
            'descripcion' => $request->descripcion,
            'enlace' => $request->enlace,
            'estado' => 1, // Estado activo por defecto
        ]);
    
        // Preparar los datos para Firestore, incluyendo el ID local como un campo
        $data = [
            'fields' => [
                'nombre' => ['stringValue' => $contenido->nombre],
                'descripcion' => ['stringValue' => $contenido->descripcion],
                'enlace' => ['stringValue' => $contenido->enlace],
                'estado' => ['integerValue' => $contenido->estado ? 1 : 0],
                'id_local' => ['stringValue' => (string) $contenido->id],  // Agregar el ID local como un campo
            ],
        ];
    
        try {
            // Log para depuración
            \Log::info('Intentando enviar contenido a Firestore', $data);
    
            // Corregir la URL del endpoint para crear el documento en Firestore
            $response = Http::post($this->firestoreUrl . '/contenido', [
                'fields' => $data['fields']
            ]);
    
            // Verificar la respuesta
            \Log::info('Respuesta de Firestore', $response->json());
    
            if ($response->successful()) {
                return redirect()->route('contenido.index')->with('success', 'Contenido creado correctamente.');
            } else {
                // Log de error en caso de fallo
                \Log::error('Error al crear contenido en Firestore', $response->json());
                return redirect()->route('contenido.index')->with('error', 'Error al crear el contenido en Firestore.');
            }
        } catch (\Exception $e) {
            // Log de excepción
            \Log::error('Error al guardar contenido en Firestore: ' . $e->getMessage());
            return redirect()->route('contenido.index')->with('error', 'Error al guardar en Firestore: ' . $e->getMessage());
        }
    }
    

    // Mostrar todos los contenidos con paginación
    public function index(Request $request)
    {
        $query = $request->input('query');
        if ($query) {
            $contenidos = Contenido::where('nombre', 'LIKE', '%' . $query . '%')->paginate(10);
        } else {
            $contenidos = Contenido::paginate(10);
        }
        return view('contenido.index', compact('contenidos'));
    }

    // Mostrar el formulario para crear un nuevo contenido
    public function create()
    {
        return view('contenido.create');
    }

    // Mostrar el formulario para editar un contenido
    public function edit(Contenido $contenido)
    {
        return view('contenido.edit', compact('contenido'));
    }

    public function update(Request $request, $id)
    {
        // Encontrar el contenido usando el ID
        $contenido = Contenido::findOrFail($id);
    
        // Validar los datos de la solicitud
        $request->validate([
            'nombre' => 'required|string|max:255',
            'descripcion' => 'required|string',
            'enlace' => 'required|url',
            'estado' => 'required|boolean',  // Asegúrate de que el estado sea booleano
        ]);
    
        // Actualizar el contenido en la base de datos local
        $contenido->nombre = $request->input('nombre');
        $contenido->descripcion = $request->input('descripcion');
        $contenido->enlace = $request->input('enlace');
        $contenido->estado = $request->input('estado') ? 1 : 0; // Convertir el valor a 1 o 0
        $contenido->save(); // Guardar en la base de datos local
    
        // Log de la actualización en la base de datos local
        Log::info("Contenido actualizado localmente", ['id' => $contenido->id, 'nombre' => $contenido->nombre, 'estado' => $contenido->estado]);
    
        // Buscar el documento en Firestore usando el campo id_local
        try {
            // Obtener todos los documentos de Firestore y filtrar por id_local
            $response = Http::get($this->firestoreUrl . '/contenido');
    
            // Verificar si la respuesta fue exitosa
            if ($response->successful()) {
                $documents = $response->json()['documents'];
                $documentFound = null;
    
                // Filtrar los documentos por id_local
                foreach ($documents as $document) {
                    if (isset($document['fields']['id_local']) && $document['fields']['id_local']['stringValue'] == (string)$contenido->id) {
                        $documentFound = $document;
                        break;
                    }
                }
    
                // Si el documento no se encuentra en Firestore
                if (!$documentFound) {
                    Log::error("Documento no encontrado en Firestore", ['id_local' => $contenido->id]);
                    return redirect()->back()->with('error', 'Documento no encontrado en Firestore.');
                }
    
                // Obtener el ID del documento de Firestore
                $documentId = $documentFound['name'];  // Obtener el ID del documento de Firestore
                $updateResponse = Http::patch($this->firestoreUrl . '/contenido/' . basename($documentId), [
                    'fields' => [
                        'nombre' => ['stringValue' => $contenido->nombre],
                        'descripcion' => ['stringValue' => $contenido->descripcion],
                        'enlace' => ['stringValue' => $contenido->enlace],
                        'estado' => ['integerValue' => (int) $contenido->estado],  // Convertir el estado a entero explícitamente
                        'id_local' => ['stringValue' => (string) $contenido->id],  // Asegurarse de que id_local se mantenga
                    ]
                ]);
    
                // Log de la respuesta de Firestore
                Log::info("Respuesta de Firestore", ['response' => $updateResponse->body()]);
    
                if ($updateResponse->successful()) {
                    return redirect()->route('contenido.index')->with('success', 'Contenido actualizado correctamente');
                } else {
                    Log::error("Error al actualizar en Firestore", ['response' => $updateResponse->body()]);
                    return redirect()->back()->with('error', 'Error al actualizar el contenido en Firestore.');
                }
            } else {
                Log::error("Error al obtener documentos de Firestore", ['response' => $response->body()]);
                return redirect()->back()->with('error', 'Error al obtener los documentos de Firestore.');
            }
        } catch (\Exception $e) {
            Log::error("Excepción al actualizar en Firestore", ['error' => $e->getMessage()]);
            return redirect()->back()->with('error', 'Error al actualizar el contenido. Detalles: ' . $e->getMessage());
        }
    }
    
    
    

}
