<?php

namespace App\Http\Controllers;

use App\Models\Profesor;
use Illuminate\Http\Request;

class ProfesorController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $profesores = Profesor::paginate(5);
        return view('profesores.index',compact('profesores'));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        return view('profesores.crear');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        request()->validate([
            
            'nombre'=>'required',
            'apellidoP'=>'required',
            'apellidoM'=>'required',
            'CI'=>'required',
            'fecha'=>'required',
            'tel'=>'required',
            'direccion'=>'required',
            'correo'=>'required',
            'especialidad'=>'required',
            
        ]);
        Profesor::create($request->all());
        $notificacion='El profesor se agrego correctamente.';
        return redirect()->route('profesores.index')->with(compact('notificacion'));
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($id)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit(Profesor $profesor)
    {
       
        return view('profesores.editar', compact('profesor'));
    }
    
    public function search(Request $request)
    {
        $searchQuery = $request->input('query');
        
        $profesores = Profesor::where('CI', 'LIKE', "%{$searchQuery}%")->paginate(5);
        
        return view('profesores.index', compact('profesores'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Profesor $profesor)
    {
        request()->validate([
            
            'nombre'=>'required',
            'apellidoP'=>'required',
            'apellidoM'=>'required',
            'CI'=>'required',
            'fecha'=>'required',
            'tel'=>'required',
            'direccion'=>'required',
            'correo'=>'required',
            'especialidad'=>'required',
            
        ]);
        $profesor->update($request->all());
        $notificacion='El profesor se actualizo correctamente';
        return redirect()->route('profesores.index')->with(compact('notificacion'));
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy(Profesor $profesor)
    {
        $deleteName=$profesor->nombre;
        $profesor->delete();
        $notificacion='El profesor  '. $deleteName.' se elimino correctamente';
        return redirect()->route('profesores.index')->with(compact('notificacion'));
    }
    }
