<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Estudiantes extends Model
{
    use HasFactory;

    protected $fillable = [
        'nombre', 'apellidos', 'CI', 'fecha', 'tel', 'direccion', 'correo', 'condicion', 'curso_id', 'estado'
    ];

    public function curso()
    {
        return $this->belongsTo(Curso::class); // Relación inversa
    }
    public function tutores()
    {
        return $this->belongsToMany(Tutores::class, 'estudiante_tutor');
    }
    // Método para activar un estudiante
    public function activar()
    {
        $this->estado = 1;
        $this->save();
    }
    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }
    
    // Método para desactivar un estudiante
    public function desactivar()
    {
        $this->estado = 0;
        $this->save();
    }
}
