<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Maestro extends Model
{
    use HasFactory;

    protected $fillable = [
        'nombre',
        'apellidos',
        'CI',
        'fecha',
        'tel',
        'direccion',
        'correo',
        'especialidad',
        'estado',
        'user_id', // Agregar este campo si aún no está
    ];

    // Relación con User
    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    // Relación con Materias (ya existe)
    public function materias()
    {
        return $this->belongsToMany(Materia::class, 'maestro_materia', 'maestro_id', 'materia_id');
    }
}
