<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateEstudiantesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('estudiantes', function (Blueprint $table) {
            $table->bigIncrements('id'); // ID del estudiante
            $table->string('nombre');
            $table->string('apellidos');
            $table->integer('CI');
            $table->date('fecha');
            $table->integer('tel');
            $table->string('direccion');
            $table->string('correo');
            $table->string('condicion')->nullable();
            $table->unsignedBigInteger('curso_id')->nullable(); // Relación con la tabla cursos, nullable si no quieres que sea obligatorio
            $table->foreign('curso_id')->references('id')->on('cursos')->onDelete('set null'); // Clave foránea hacia cursos
            $table->integer('estado')->default(1); // Estado con valor por defecto 1
            $table->timestamps();
        });
    }
    
    public function down()
    {
        Schema::dropIfExists('estudiantes');
    }
}
