@extends('layouts.app')

@section('content')
    <section class="section">
        <div class="section-header">
            <h3 class="page__heading">Contenidos</h3>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            @can('administrador')
                            <a class="btn btn-warning" href="{{ route('contenido.create') }}">Agregar Contenido</a>
@endcan
                            <div class="form-container mt-3">
                                <form action="{{ route('contenido.index') }}" method="GET">
                                    <div class="input-group mb-3">
                                        <input type="text" name="query" class="form-control" placeholder="Buscar por nombre" value="{{ request()->query('query') }}">
                                        <div class="input-group-append">
                                            <button class="btn btn-outline-secondary" type="submit">Buscar</button>
                                        </div>
                                    </div>
                                </form>
                            </div>

                            @if(session('success'))
                                <div class="alert alert-success" role="alert">
                                    {{ session('success') }}
                                </div>
                            @endif

                            @if(session('error'))
                                <div class="alert alert-danger" role="alert">
                                    {{ session('error') }}
                                </div>
                            @endif

                            <div class="table-responsive-sm">
                                <table class="table table-striped mt-2">
                                    <thead style="background-color:#429ac4">
                                        <th style="color:#fff">Nombre</th>
                                        <th style="color:#fff">Descripción</th>
                                        <th style="color:#fff">Enlace</th>
                                        <th style="color:#fff">Estado</th>
                                        @can('administrador')
                                        <th style="color:#fff">Acciones</th>
                                        @endcan
                                    </thead>

                                    <tbody>
                                        @foreach($contenidos as $contenido)
                                            <tr>
                                                <td>{{ $contenido->nombre }}</td>
                                                <td>{{ $contenido->descripcion }}</td>
                                                <td><a href="{{ $contenido->enlace }}" target="_blank">{{ $contenido->enlace }}</a></td>
                                                
                                                <td>{{ $contenido->estado ? 'Activo' : 'Inactivo' }}</td>
                                                @can('administrador')
                                                <td>
                                                    <a class="btn btn-info" href="{{ route('contenido.edit', $contenido->id) }}">Editar</a>

                                               
                                                </td>
                                                @endcan
                                            </tr>
                                        @endforeach
                                    </tbody>
                                </table>

                                <div class="pagination justify-content-end">
                                    {!! $contenidos->links() !!}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection
