@extends('layouts.app')

@section('content')
<div class="container">
    <h2 style="color:azure">Crear Curso</h2>

    @if(session('success'))
        <div class="alert alert-success">{{ session('success') }}</div>
    @elseif(session('error'))
        <div class="alert alert-danger">{{ session('error') }}</div>
    @endif

    <form action="{{ route('cursos.store') }}" method="POST">
        @csrf

        <div class="form-group">
            <label for="nombre">Nombre del Curso</label>
            <input type="text" name="nombre" id="nombre" class="form-control @error('nombre') is-invalid @enderror" value="{{ old('nombre') }}" required>
            @error('nombre')
                <div class="invalid-feedback">{{ $message }}</div>
            @enderror
        </div>

        <div class="form-group">
            <label for="abreviacion">Abreviatura</label>
            <input type="text" name="abreviacion" id="abreviacion" class="form-control @error('abreviacion') is-invalid @enderror" value="{{ old('abreviacion') }}" required>
            @error('abreviacion')
                <div class="invalid-feedback">{{ $message }}</div>
            @enderror
        </div>

        <input type="hidden" name="nivel" value="primaria">

        <button type="submit" class="btn btn-primary">Crear Curso</button>
        <a href="{{ route('cursos.index') }}" class="btn btn-secondary">Volver</a>
    </form>
</div>
@endsection
