@extends('layouts.app')

@section('content')
<div class="container">
    <h2 style="color: azure">Editar Curso</h2>

    @if(session('success'))
        <div class="alert alert-success">{{ session('success') }}</div>
    @elseif(session('error'))
        <div class="alert alert-danger">{{ session('error') }}</div>
    @endif

    <form action="{{ route('cursos.update', $curso->id) }}" method="POST">
        @csrf
        @method('PUT')

        <div class="form-group">
            <label for="nombre">Nombre del Curso</label>
            <input type="text" name="nombre" id="nombre" class="form-control @error('nombre') is-invalid @enderror" value="{{ old('nombre', $curso->nombre) }}" required>
            @error('nombre')
                <div class="invalid-feedback">{{ $message }}</div>
            @enderror
        </div>

        <div class="form-group">
            <label for="abreviacion">Abreviatura</label>
            <input type="text" name="abreviacion" id="abreviacion" class="form-control @error('abreviacion') is-invalid @enderror" value="{{ old('abreviacion', $curso->abreviacion) }}" required>
            @error('abreviacion')
                <div class="invalid-feedback">{{ $message }}</div>
            @enderror
        </div>

        <!-- Campo oculto para mantener el nivel como primaria -->
        <input type="hidden" name="nivel" value="primaria">

        <button type="submit" class="btn btn-primary">Actualizar Curso</button>
        <a href="{{ route('cursos.index') }}" class="btn btn-secondary">Volver</a>
    </form>
</div>
@endsection
