@extends('layouts.app')

@section('content')
    <section class="section">
        <div class="section-header">
            <h3 class="page__heading">Estudiantes</h3>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <a class="btn btn-warning mb-3" href="{{ route('estudiantes.create') }}">Agregar estudiante</a>
                            <div class="card-body">
                                @if(session('notificacion'))
                                    <div class="alert alert-success" role="alert">
                                        {{ session('notificacion') }}
                                    </div>
                                @endif
                                <!-- Formulario de búsqueda -->
                                <form action="{{ route('estudiantes.buscar') }}" method="GET" class="form-inline mb-3">
                                    <div class="input-group">
                                        <input type="text" name="query" class="form-control" placeholder="Buscar estudiante por carnet">
                                        <div class="input-group-append">
                                            <button class="btn btn-outline-secondary" type="submit">Buscar</button>
                                        </div>
                                    </div>
                                </form>
                                
                                <!-- Mostrar todos los estudiantes -->
                                <form action="{{ route('estudiantes.index') }}" method="GET" class="mb-3">
                                    <button type="submit" class="btn btn-primary">Mostrar todos los estudiantes</button>
                                </form>
                            </div>

                            <!-- Tabla de estudiantes -->
                            <div class="table-responsive">
                                <table class="table table-striped mt-2">
                                    <thead style="background-color:#429ac4">
                                        <tr>
                                            <th style="color:#fff">Nombres</th>
                                            <th style="color:#fff">Apellidos</th>
                                            <th style="color:#fff">CI</th>
                                            <th style="color:#fff">Fecha de nacimiento</th>
                                            <th style="color:#fff">Teléfono</th>
                                            <th style="color:#fff">Dirección</th>
                                            <th style="color:#fff">Correo</th>
                                            <th style="color:#fff">Curso</th>
                                            <th style="color:#fff">Condición</th>
                                            <th style="color:#fff">Estado</th>
                                            <th style="color:#fff">Acciones</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        @foreach($estudiantes as $estudiante)
                                            <tr>
                                                  <td>{{ $estudiante->nombre }}</td>
                                                <td>{{ $estudiante->apellidos }}</td>
                                                <td>{{ $estudiante->CI }}</td>
                                                <td>{{ date('d/m/Y', strtotime($estudiante->fecha)) }}</td>
                                                <td>{{ $estudiante->tel }}</td>
                                                <td>{{ $estudiante->direccion }}</td>
                                                <td>{{ $estudiante->correo }}</td>
                                                <td>{{ $estudiante->curso->nombre }}</td>
                                                <td>{{ $estudiante->condicion }}</td>
                                                <td>{{ $estudiante->estado == 1 ? 'Activo' : 'Inactivo' }}</td>
                                                <td>
                                                 
                                                    <form action="{{ route('estudiantes.destroy', $estudiante->id) }}" method="POST">
                                                        <a class="btn btn-info" href="{{ route('estudiantes.edit', $estudiante->id) }}">Editar</a>
                                                        @csrf
                                                        @method('DELETE')
                                                        <button type="submit" class="btn btn-danger">{{ $estudiante->estado == 1 ? 'Desactivar' : 'Activar' }}</button>
                                                    </form>
                                                        <form action="{{ route('estudiantes.generateUserForm', $estudiante->id) }}" method="get">
                                                            @csrf
                                                            <button type="submit" class="btn btn-success">Generar Usuario</button>
                                                        </form>
                                                   
                                                </td>
                                            </tr>
                                        @endforeach
                                    </tbody>
                                </table>
                            </div>

                            <!-- Links de paginación -->
                            <div>
                                {{ $estudiantes->links() }}
                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
@endsection
