@extends('layouts.app')

@section('content')
    <section class="section">
        <div class="section-header">
            <h3 class="page__heading">Tutores</h3>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <a class="btn btn-warning" href="{{route('gestion_tutores.create')}}">Agregar tutor</a>
                            <div class="card-body">
                                @if(session('notificacion'))
                                <div class="alert alert-success" role="alert">
                                    {{session('notificacion')}}
                                </div>
                                @endif
                                <div class="form-container">
                                    <form action="{{ route('gestion_tutores.buscar') }}" method="GET">
                                        <div class="input-group mb-3">
                                            <input type="text" name="query" class="form-control" placeholder="Buscar por CI">
                                            <div class="input-group-append">
                                                <button class="btn btn-outline-secondary" type="submit">Buscar</button>
                                            </div>
                                        </div>
                                    </form>
                                </div>
                                <div class="form-container">
                                    <form action="{{ route('gestion_tutores.index') }}" method="GET">
                                        <button type="submit" class="btn btn-primary">Mostrar todos los tutores</button>
                                    </form>
                                </div>
                                


                            </div>
                            <div class="table-responsive-sm">
                            <table class="table table-striped mt-2">
                                <thead style="background-color:#429ac4">
                                    <th style="display :none;">ID</th>
                                    
                                    <th style="color:#fff">Nombre </th>
                                    
                                    <th style="color:#fff">Apellidos  </th>
                                   
                                   
                                    <th style="color:#fff">CI </th>
                                    <th style="color:#fff">Fecha de nacimiento </th>
                                    <th style="color:#fff">Telefono</th>
                                    <th style="color:#fff;">Correo</th>
                                    <th style="color:#fff">Direccion </th>
                                  
                                    <th style="color:#fff">Estudiantes Asignados</th>
                                    <th style="color:#fff">Estado</th>
                                    <th style="color:#fff;">Acciones</th>


                                </thead>
                            
                                <tbody>
                                    @foreach($tutores as $tutor)
                                    <tr>
                                        <td style="display: none;">{{$tutor->id}}</td>
                                      
                                        <td>{{$tutor->nombre}}</td>
                                        <td>{{$tutor->apellidos}}</td>
                                        
                                        <td>{{$tutor->CI}}</td>
                                        <td>{{ date('d/m/Y', strtotime($tutor->fecha)) }}</td>

                                        <td>{{$tutor->tel}}</td>
                                        <td>{{$tutor->correo}}</td>
                                        <td>{{$tutor->direccion}}</td>
                                        <td>
                                            @foreach($tutor->estudiantes as $estudiante)
                                                {{ $estudiante->nombre }} {{ $estudiante->apellidos }}<br>
                                            @endforeach
                                        </td>
                                        <td>{{ $tutor->estado == 1 ? 'Activo' : 'Inactivo' }}</td>
                                        <td>
                                            <form action="{{ route('gestion_tutores.destroy', $tutor->id) }}" method="POST">
                                                <a class="btn btn-info" href="{{ route('gestion_tutores.edit', $tutor->id) }}">Editar</a>
                                                @csrf
                                                @method('DELETE')
                                                <button type="submit" class="btn btn-danger">Cambiar estado</button>
                                            </form>
                                        </td>
                                        

                                    </tr>
                                    @endforeach 

                                </tbody>
                            </table>
                            <div class="pagination justify-content-end">
                                {!!$tutores->links() !!}

                            </div>

                            
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
<script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>

@endsection
