@extends('layouts.app')

@section('content')
<div class="container">
    <h3 style="color: azure">Maestros y Materias Asignadas</h3>
    <table class="table table-bordered">
        <thead class="thead-dark">
            <tr>
                <th>Maestro</th>
                <th>Materias</th>
                <th>Acciones</th>
            </tr>
        </thead>
        <tbody>
            @foreach($maestros as $maestro)
            <tr>
                <td>{{ $maestro->nombre }}</td>
                <td>
                    @forelse($maestro->materias as $materia)
                        {{ $materia->nombre }}{{ $materia->abreviacion }}@if(!$loop->last), @endif
                    @empty
                        <span class="text-danger">No tiene materias asignadas</span>
                    @endforelse
                </td>
                <td>
                    <a href="{{ route('maestro_materia.create', $maestro->id) }}" class="btn btn-primary btn-sm">Asignar Materias</a>
                    <a href="{{ route('maestro_materia.edit', $maestro->id) }}" class="btn btn-warning btn-sm">Editar</a>

                    @if($maestro->materias->isNotEmpty())
                        <div class="dropdown d-inline">
                            <button class="btn btn-danger btn-sm dropdown-toggle" type="button" id="dropdownMenuButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                Eliminar Materias
                            </button>
                            <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                                @foreach($maestro->materias as $materia)
                                    <form action="{{ route('maestro_materia.destroy', ['maestro' => $maestro->id, 'materia' => $materia->id]) }}" method="POST">
                                        @csrf
                                        @method('DELETE')
                                        <button type="submit" class="dropdown-item" onclick="return confirm('¿Seguro que deseas eliminar {{ $materia->nombre }} {{ $materia->abreviacion }}?')">
                                            {{ $materia->nombre }}--{{ $materia->abreviacion }}
                                        </button>
                                    </form>
                                @endforeach
                            </div>
                        </div>
                    @else
                        <span class="text-muted">No hay materias para eliminar</span>
                    @endif
                </td>
            </tr>
            @endforeach
        </tbody>
    </table>
</div>
@endsection
