@extends('layouts.app')

@section('content')
    <section class="section">
        <div class="section-header">
            <h3 class="page__heading">Maestros</h3>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <a class="btn btn-warning" href="{{ route('maestros.create') }}">Agregar maestro</a>
                            
                            @if(session('notificacion'))
                                <div class="alert alert-success mt-2" role="alert">
                                    {{ session('notificacion') }}
                                </div>
                            @endif

                            <div class="form-container mt-2">
                                <form action="{{ route('maestros.buscar') }}" method="GET">
                                    <div class="input-group mb-3">
                                        <input type="text" name="query" class="form-control" placeholder="Buscar maestro por carnet">
                                        <div class="input-group-append">
                                            <button class="btn btn-outline-secondary" type="submit">Buscar</button>
                                        </div>
                                    </div>
                                </form>
                            </div>

                            <div class="table-responsive-sm">
                                <table class="table table-striped mt-2">
                                    <thead style="background-color:#429ac4">
                                        <th style="display: none;">ID</th>
                                        <th style="color:#fff">Nombre</th>
                                        <th style="color:#fff">Apellidos</th>
                                        <th style="color:#fff">CI</th>
                                        <th style="color:#fff">Fecha de nacimiento</th>
                                        <th style="color:#fff">Teléfono</th>
                                        <th style="color:#fff">Dirección</th>
                                        <th style="color:#fff">Correo</th>
                                        <th style="color:#fff">Especialidad</th>
                                        <th style="color:#fff">Estado</th>
                                        <th style="color:#fff">Acciones</th>
                                    </thead>
                                    <tbody>
                                        @foreach($maestros as $maestro)
                                            <tr>
                                                <td style="display: none;">{{ $maestro->id }}</td>
                                                <td>{{ $maestro->nombre }}</td>
                                                <td>{{ $maestro->apellidos }}</td>
                                                <td>{{ $maestro->CI }}</td>
                                                <td>{{ date('d/m/Y', strtotime($maestro->fecha)) }}</td>
                                                <td>{{ $maestro->tel }}</td>
                                                <td>{{ $maestro->direccion }}</td>
                                                <td>{{ $maestro->correo }}</td>
                                                <td>{{ $maestro->especialidad }}</td>
                                                <td>
                                                    @if($maestro->estado)
                                                        <span class="badge badge-success">Activo</span>
                                                    @else
                                                        <span class="badge badge-danger">Inactivo</span>
                                                    @endif
                                                </td>
                                                <td>
                                                    <div class="btn-group">
                                                        <a class="btn btn-info" href="{{ route('maestros.edit', $maestro->id) }}">Editar</a>

                                                        <form action="{{ route('maestros.destroy', $maestro->id) }}" method="POST">
                                                            @csrf
                                                            @method('DELETE')
                                                            <button type="submit" class="btn btn-danger">Cambiar estado</button>
                                                        </form>
                                                        
                                                        <form action="{{ route('maestros.generateUserForm', $maestro->id) }}" method="GET" class="ml-2">
                                                            <button type="submit" class="btn btn-primary">Generar usuario</button>
                                                        </form>
                                                        
                                                    </div>
                                                </td>
                                            </tr>
                                        @endforeach
                                    </tbody>
                                </table>
                                <div class="pagination justify-content-end">
                                    {!! $maestros->links() !!}
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection
