@extends('layouts.app')

@section('title', 'Materias')

@section('content')
<div class="container">
    <h3 style="color: azure">Listado de Materias</h3>

    <a href="{{ route('materias.create') }}" class="btn btn-primary mb-3">Crear Materia</a>

    @if(session('success'))
        <div class="alert alert-success">
            {{ session('success') }}
        </div>
    @endif

    <table class="table table-striped">
        <thead>
            <tr>
                <th>Nombre</th>
                <th>Abreviación</th>
                <th>Curso</th>
                <th>Estado</th>
                <th>Acciones</th>
            </tr>
        </thead>
        <tbody>
            @foreach($materias as $materia)
                <tr>
                    <td>{{ $materia->nombre }}</td>
                    <td>{{ $materia->abreviacion }}</td>
                    <td>{{ $materia->curso->nombre }}</td>
                    <td>
                        <span class="badge {{ $materia->estado == 1 ? 'badge-success' : 'badge-danger' }}">
                            {{ $materia->estado == 1 ? 'Activo' : 'Inactivo' }}
                        </span>
                    </td>
                    <td>
                        <a href="{{ route('materias.edit', $materia->id) }}" class="btn btn-warning btn-sm">Editar</a>

                        <form action="{{ route('materias.destroy', $materia->id) }}" method="POST" style="display:inline-block;">
                            @csrf
                            @method('DELETE')
                            <button type="submit" class="btn btn-danger btn-sm" onclick="return confirm('¿Estás seguro de cambiar el estado de esta materia?')">
                                Cambiar Estado
                            </button>
                        </form>
                    </td>
                </tr>
            @endforeach
        </tbody>
    </table>
</div>
@endsection
