@extends('layouts.app')

@section('content')
    <section class="section">
        <div class="section-header">
            <h3 class="page__heading">Crear Modelo</h3>
        </div>

        @if(session('error'))
            <div class="alert alert-danger">
                {{ session('error') }}
            </div>
        @endif
        @if(session('success'))
            <div class="alert alert-success">
                {{ session('success') }}
            </div>
        @endif

        <div class="section-body">
            <div class="card">
                <div class="card-body">
                    <form action="{{ route('modelo.store') }}" method="POST" enctype="multipart/form-data">
                        @csrf
                        <div class="form-group">
                            <label for="nombre">Nombre</label>
                            <input type="text" name="nombre" class="form-control" value="{{ old('nombre') }}" required>
                        </div>
                        <div class="form-group">
                            <label for="descripcion">Descripción</label>
                            <textarea name="descripcion" class="form-control" required>{{ old('descripcion') }}</textarea>
                        </div>
                        <div class="form-group">
                            <label for="archivo_zip">Archivo ZIP</label>
                            <input type="file" name="archivo_zip" class="form-control" accept=".zip" required>
                            @if ($errors->has('archivo_zip'))
                                <small class="text-danger">{{ $errors->first('archivo_zip') }}</small>
                            @endif
                        </div>
                        <button type="submit" class="btn btn-primary">Guardar</button>
                    </form>
                </div>
            </div>
        </div>
    </section>
@endsection
