@extends('layouts.app')

@section('content')
    <section class="section">
        <div class="section-header">
            <h3 class="page__heading">Editar Modelo</h3>
        </div>

        @if(session('error'))
            <div class="alert alert-danger">
                {{ session('error') }}
            </div>
        @endif

        @if(session('success'))
            <div class="alert alert-success">
                {{ session('success') }}
            </div>
        @endif

        <div class="section-body">
            <div class="card">
                <div class="card-body">
                    <form action="{{ route('modelo.update', $modelo->id) }}" method="POST" enctype="multipart/form-data">
                        @csrf
                        @method('PUT')

                        <div class="form-group">
                            <label for="nombre">Nombre</label>
                            <input type="text" name="nombre" class="form-control" value="{{ old('nombre', $modelo->nombre) }}" required>
                        </div>

                        <div class="form-group">
                            <label for="descripcion">Descripción</label>
                            <textarea name="descripcion" class="form-control" required>{{ old('descripcion', $modelo->descripcion) }}</textarea>
                        </div>

                        <div class="form-group">
                            <label for="archivo_zip">Archivo ZIP</label>
                            <input type="file" name="archivo_zip" class="form-control" accept=".zip">
                            @if($modelo->archivo_zip)
                                <small class="form-text text-muted">Archivo actual: <a href="{{ Storage::url($modelo->archivo_zip) }}" target="_blank">{{ basename($modelo->archivo_zip) }}</a></small>
                            @endif
                        </div>

                        <button type="submit" class="btn btn-primary">Actualizar</button>
                    </form>
                </div>
            </div>
        </div>
    </section>
@endsection
