@extends('layouts.app')

@section('content')
    <section class="section">
        <div class="section-header">
            <h3 class="page__heading">Modelos</h3>
        </div>
        @if(session('error'))
            <div class="alert alert-danger">
                {{ session('error') }}
            </div>
        @endif
        @if(session('success'))
            <div class="alert alert-success">
                {{ session('success') }}
            </div>
        @endif

        <div class="section-body">
            <div class="card">
                <div class="card-body">
                    @can('administrador')
                    <a class="btn btn-primary" href="{{ route('modelo.create') }}">Agregar Modelo</a>
@endcan
                    <table class="table mt-4">
                        <thead>
                            <tr>
                                <th>Nombre</th>
                                <th>Descripción</th>
                                <th>Estado</th>
                                <th>Acciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach ($modelos as $modelo)
                                <tr>
                                    <td>{{ $modelo->nombre }}</td>
                                    <td>{{ $modelo->descripcion }}</td>
                                    
                                    <td>{{ $modelo->estado ? 'Activo' : 'Inactivo' }}</td>
                                    <td>
                                        @can('administrador')
                                        <a href="{{ route('modelo.edit', $modelo->id) }}" class="btn btn-warning">Editar</a>
                                        <form action="{{ route('modelo.destroy', $modelo->id) }}" method="POST" style="display:inline-block;">
                                            @csrf
                                            @method('DELETE')
                                            <button type="submit" class="btn btn-danger">
                                                {{ $modelo->estado ? 'Desactivar' : 'Activar' }}
                                            </button>
                                        </form>
                                        <a href="{{ route('modelo.descomprimir', $modelo->id) }}" class="btn btn-info">Descomprimir</a>
                                        @endcan
                                        <a href="{{ route('modelo.generateQR', $modelo->id) }}" class="btn btn-success">Generar QR</a>
                                    </td>
                                </tr>
                            @endforeach
                        </tbody>
                    </table>

                    <div class="pagination justify-content-end">
                        {{ $modelos->links() }}
                    </div>
                </div>
            </div>
        </div>
    </section>
@endsection
