<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <title>Contáctanos</title>
    <meta content="width=device-width, initial-scale=1.0" name="viewport">
    <meta content="Sistema escolar" name="keywords">
    <meta content="Página de contacto del sistema escolar" name="description">

    <!-- Favicon -->
    <link href="img/favicon.ico" rel="icon">

    <!-- Font Awesome -->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css" rel="stylesheet">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom Styles -->
    <style>
        body {
            font-family: 'Poppins', sans-serif;
            background-color: #f9f9f9;
            color: #333;
        }

        /* Navbar */
        .navbar {
            background: linear-gradient(90deg, #e63946, #7f1d1d);
        }
        .navbar-nav .nav-link {
            color: #fff;
            font-weight: 600;
        }
        .navbar-nav .nav-link:hover {
            color: #f1f1f1;
        }

        /* Header */
        .page-header {
            background: url('img/back1.jpg') no-repeat center center/cover;
            height: 400px;
            position: relative;
        }
        .page-header::before {
            content: "";
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background: rgba(0, 0, 0, 0.5);
        }
        .page-header h1 {
            position: relative;
            color: #fff;
            font-size: 3rem;
            font-weight: 700;
            z-index: 1;
        }

        /* Contact Info */
        .contact-info i {
            color: #e63946;
        }
        .contact-info h4 {
            color: #7f1d1d;
            font-weight: bold;
        }

        /* Map */
        #ubicacion h2 {
            color: #e63946;
            font-weight: bold;
        }

        /* Footer */
        footer {
            background: #7f1d1d;
            color: #fff;
        }
        footer a {
            color: #f1f1f1;
        }
        footer a:hover {
            color: #e63946;
        }
    </style>
</head>

<body>
    <!-- Navbar -->
    <nav class="navbar navbar-expand-lg navbar-dark py-3">
        <div class="container">
            <a href="index.html" class="navbar-brand">
                <img src="img/logo.png" alt="Logo" width="90" height="80">
            </a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarCollapse">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarCollapse">
                <ul class="navbar-nav ms-auto">
                    <li class="nav-item"><a href="/" class="nav-link">Inicio</a></li>
                    <li class="nav-item"><a href="{{ route('pages.show', 'about') }}" class="nav-link">Acerca de</a></li>
                    <li class="nav-item"><a href="{{ route('pages.show', 'contact') }}" class="nav-link active">Contacto</a></li>
                    @if (Route::has('login'))
                    @auth
                        <li class="nav-item"><a href="{{ url('/home') }}" class="nav-link">Administración</a></li>
                    @else
                        <li class="nav-item"><a href="{{ url('/login') }}" class="nav-link">Iniciar Sesión</a></li>
                    @endauth
                    @endif
                </ul>
            </div>
        </div>
    </nav>

    <!-- Page Header -->
    <div class="page-header d-flex align-items-center justify-content-center">
        <h1>Contáctanos</h1>
    </div>

    <!-- Contact Section -->
    <div class="container py-5">
        <div class="text-center mb-5">
            <h4 class="text-uppercase" style="color: #e63946; letter-spacing: 2px;">Contáctenos</h4>
            <h2>No dude en ponerse en contacto con nosotros</h2>
        </div>
        <div class="row text-center contact-info">
            <div class="col-md-4 mb-4">
                <i class="fa fa-3x fa-map-marker-alt mb-3"></i>
                <h4>Dirección</h4>
                <p>Calle Aspiazu esq. 20 de Octubre #467</p>
                <p>La Paz, Bolivia</p>
            </div>
            <div class="col-md-4 mb-4">
                <i class="fa fa-3x fa-phone-alt mb-3"></i>
                <h4>Teléfono</h4>
                <p>2422991 / 2245640</p>
            </div>
            <div class="col-md-4 mb-4">
                <i class="far fa-3x fa-envelope mb-3"></i>
                <h4>Correo Electrónico</h4>
                <p>escolar@gmail.com</p>
            </div>
        </div>
    </div>

    <!-- Ubicación -->
    <div class="container-fluid py-5" id="ubicacion">
        <div class="container">
            <div class="text-center mb-4">
                <h2 class="text-red">Nuestra Ubicación</h2>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    <div class="mapouter">
                        <div class="gmap_canvas">
                            <iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3125.158773738408!2d-68.13214042491975!3d-16.507854274152862!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x915f213470451b85%3A0xbcddc02de0965b21!2sU.E.%20Claudio%20Sanjines%20-%20AUSTIN%20ASPIAZU!5e0!3m2!1ses!2sbo!4v1697840430707!5m2!1ses!2sbo" width="100%" height="450" style="border:0;" allowfullscreen="" loading="lazy" referrerpolicy="no-referrer-when-downgrade"></iframe>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <!-- Footer -->
    <footer class="text-center py-4">
        <div class="container">
            <p>&copy; 2024 Sistema Escolar. Todos los derechos reservados.</p>
            <a href="https://facebook.com" class="text-white me-2"><i class="fab fa-facebook-f"></i></a>
        </div>
    </footer>

    <!-- Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/js/bootstrap.bundle.min.js"></script>
</body>

</html>
