@extends('layouts.app')

@section('content')
<div class="container">
    <h3 style="color: aliceblue" class="page__heading">Progreso Estudiantil</h3>

    <!-- Mensajes de error -->
    @if(session('error'))
        <div class="alert alert-danger">{{ session('error') }}</div>
    @endif

    <!-- Formulario de búsqueda -->
    <form action="{{ route('progreso.index') }}" method="GET" class="mb-4">
        <div class="row">
            <!-- Campo de búsqueda por nombre de estudiante o modelo -->
            <div class="col-md-4">
                <label for="search">Buscar por Estudiante o Modelo</label>
                <input type="text" name="search" class="form-control" placeholder="Nombre del estudiante o modelo" value="{{ request('search') }}">
            </div>

            <!-- Filtro por fecha -->
            <div class="col-md-3">
                <label for="start_date">Fecha de inicio</label>
                <input type="date" name="start_date" class="form-control" value="{{ request('start_date') }}">
            </div>

            <div class="col-md-3">
                <label for="end_date">Fecha de fin</label>
                <input type="date" name="end_date" class="form-control" value="{{ request('end_date') }}">
            </div>

            <div class="col-md-2 mt-4">
                <button type="submit" class="btn btn-primary">Buscar</button>
            </div>
        </div>
    </form>

    <!-- Tabla de resultados -->
    <table class="table table-striped">
        <thead>
            <tr>
                <th>Nombre del Modelo</th>
                <th>Descripción</th>
                <th>URL</th>
                <th>Nombre del Estudiante</th>
                <th>Curso</th>
                <th>Email</th>
                <th>Fecha</th>
            </tr>
        </thead>
        <tbody>
            @foreach($progresos as $progreso)
                <tr>
                    <td>{{ $progreso['modelo_nombre'] }}</td>
                    <td>{{ $progreso['modelo_descripcion'] }}</td>
                    <td><a href="{{ $progreso['modelo_url'] }}" target="_blank">Ver Modelo</a></td>
                    <td>{{ $progreso['usuario_nombre'] }}</td>
                    <td>{{ $progreso['usuario_curso'] }}</td>
                    <td>{{ $progreso['usuario_email'] }}</td>
                    <td>{{ date('Y-m-d H:i:s', $progreso['timestamp'] / 1000) }}</td>
                </tr>
            @endforeach
        </tbody>
    </table>
</div>
@endsection
