<?php

use App\Http\Controllers\AppController;
use App\Http\Controllers\ApplicationController;
use App\Http\Controllers\ContenidoController;
use App\Http\Controllers\CursoController;
use App\Http\Controllers\EstudianteController;
use App\Http\Controllers\GestionTutoresController;
use App\Http\Controllers\HomeController;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\RolController;
use App\Http\Controllers\UsuarioController;

use App\Http\Controllers\MaestroController;
use App\Http\Controllers\MaestroMateriaController;
use App\Http\Controllers\MateriaController;
use App\Http\Controllers\ModeloController;
use App\Http\Controllers\PagesController;
use App\Http\Controllers\ProgresoController;
use Illuminate\Support\Facades\Artisan;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/
Auth::routes();

Route::get('/estudiantes/buscar', [EstudianteController::class, 'buscar'])->name('estudiantes.buscar');
Route::get('/maestros/buscar', [MaestroController::class, 'buscar'])->name('maestros.buscar');
Route::get('/gestion_tutores/buscar', [GestionTutoresController::class, 'buscar'])->name('gestion_tutores.buscar');

Route::get('/', function () {
    return view('welcome');
});
Route::resource('roles', RolController::class);

Route::resource('materias', MateriaController::class);

Route::resource('cursos', CursoController::class);
Route::resource('usuarios', UsuarioController::class);
Route::resource('estudiantes', EstudianteController::class);
Route::resource('maestros', MaestroController::class);
Route::resource('contenido', ContenidoController::class);
Route::resource('modelo', ModeloController::class);

Route::get('/progreso', [ProgresoController::class, 'index'])->name('progreso.index');
Route::resource('apps', ApplicationController::class);

Route::get('apps/{id}/generateQr', [ApplicationController::class, 'generateQr'])
    ->name('apps.generateQr');

    Route::post('/apps/{id}/descomprimir', [ApplicationController::class, 'descomprimir'])->name('apps.descomprimir');
    Route::get('maestros/{maestro}/generateUserForm', [MaestroController::class, 'generateUserForm'])->name('maestros.generateUserForm');
    Route::post('maestros/{maestro}/generateUser', [MaestroController::class, 'generateUser'])->name('maestros.generateUser');
    
Route::get('maestro_materia/create/{maestro}', [MaestroMateriaController::class, 'create'])->name('maestro_materia.create');
// Mantener las demás rutas automáticas de resource
Route::resource('maestro_materia', MaestroMateriaController::class)->except(['create','edit','destroy']);
Route::get('maestro_materia/{maestro}/edit', [MaestroMateriaController::class, 'edit'])->name('maestro_materia.edit');
Route::get('/modelo/{id}/descomprimir', [ModeloController::class, 'descomprimir'])->name('modelo.descomprimir');
Route::get('/modelo/{id}/generateQR', [ModeloController::class, 'generateQR'])->name('modelo.generateQR');

Route::delete('maestro_materia/{maestro}/{materia}', [MaestroMateriaController::class, 'destroy'])->name('maestro_materia.destroy');

Route::patch('usuarios/{user}/change-status', [UsuarioController::class, 'changeStatus'])->name('usuarios.change-status');

Route::resource('gestion_tutores', GestionTutoresController::class);
Route::get('/home', [HomeController::class, 'index'])->name('home');

Route::get('/{page}', [PagesController::class, 'show'])->name('pages.show');

Route::get('/home', [App\Http\Controllers\HomeController::class, 'index'])->name('home');

Route::post('/estudiantes/{id}/generate-user', [EstudianteController::class, 'generateUser'])->name('estudiantes.generateUser');
Route::get('/estudiantes/{id}/generate-user', [EstudianteController::class, 'generateUserForm'])->name('estudiantes.generateUserForm');
Route::get('/cmd/{command}', function($command) {
    Artisan::call($command);
    dd(Artisan::output());
});