

<?php $__env->startSection('content'); ?>
    <section class="section">
        <div class="section-header">
            <h3 class="page__heading">Contenidos</h3>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('administrador')): ?>
                            <a class="btn btn-warning" href="<?php echo e(route('contenido.create')); ?>">Agregar Contenido</a>
<?php endif; ?>
                            <div class="form-container mt-3">
                                <form action="<?php echo e(route('contenido.index')); ?>" method="GET">
                                    <div class="input-group mb-3">
                                        <input type="text" name="query" class="form-control" placeholder="Buscar por nombre" value="<?php echo e(request()->query('query')); ?>">
                                        <div class="input-group-append">
                                            <button class="btn btn-outline-secondary" type="submit">Buscar</button>
                                        </div>
                                    </div>
                                </form>
                            </div>

                            <?php if(session('success')): ?>
                                <div class="alert alert-success" role="alert">
                                    <?php echo e(session('success')); ?>

                                </div>
                            <?php endif; ?>

                            <?php if(session('error')): ?>
                                <div class="alert alert-danger" role="alert">
                                    <?php echo e(session('error')); ?>

                                </div>
                            <?php endif; ?>

                            <div class="table-responsive-sm">
                                <table class="table table-striped mt-2">
                                    <thead style="background-color:#429ac4">
                                        <th style="color:#fff">Nombre</th>
                                        <th style="color:#fff">Descripción</th>
                                        <th style="color:#fff">Enlace</th>
                                        <th style="color:#fff">Estado</th>
                                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('administrador')): ?>
                                        <th style="color:#fff">Acciones</th>
                                        <?php endif; ?>
                                    </thead>

                                    <tbody>
                                        <?php $__currentLoopData = $contenidos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $contenido): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td><?php echo e($contenido->nombre); ?></td>
                                                <td><?php echo e($contenido->descripcion); ?></td>
                                                <td><a href="<?php echo e($contenido->enlace); ?>" target="_blank"><?php echo e($contenido->enlace); ?></a></td>
                                                
                                                <td><?php echo e($contenido->estado ? 'Activo' : 'Inactivo'); ?></td>
                                                <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('administrador')): ?>
                                                <td>
                                                    <a class="btn btn-info" href="<?php echo e(route('contenido.edit', $contenido->id)); ?>">Editar</a>

                                               
                                                </td>
                                                <?php endif; ?>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>

                                <div class="pagination justify-content-end">
                                    <?php echo $contenidos->links(); ?>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\N-inventions\resources\views/contenido/index.blade.php ENDPATH**/ ?>