

<?php $__env->startSection('content'); ?>
<div class="container">
    <h3 style="color: aliceblue" class="page__heading">Progreso Estudiantil</h3>

    <!-- Mensajes de error -->
    <?php if(session('error')): ?>
        <div class="alert alert-danger"><?php echo e(session('error')); ?></div>
    <?php endif; ?>

    <!-- Formulario de búsqueda -->
    <form action="<?php echo e(route('progreso.index')); ?>" method="GET" class="mb-4">
        <div class="row">
            <!-- Campo de búsqueda por nombre de estudiante o modelo -->
            <div class="col-md-4">
                <label for="search">Buscar por Estudiante o Modelo</label>
                <input type="text" name="search" class="form-control" placeholder="Nombre del estudiante o modelo" value="<?php echo e(request('search')); ?>">
            </div>

            <!-- Filtro por fecha -->
            <div class="col-md-3">
                <label for="start_date">Fecha de inicio</label>
                <input type="date" name="start_date" class="form-control" value="<?php echo e(request('start_date')); ?>">
            </div>

            <div class="col-md-3">
                <label for="end_date">Fecha de fin</label>
                <input type="date" name="end_date" class="form-control" value="<?php echo e(request('end_date')); ?>">
            </div>

            <div class="col-md-2 mt-4">
                <button type="submit" class="btn btn-primary">Buscar</button>
            </div>
        </div>
    </form>

    <!-- Tabla de resultados -->
    <table class="table table-striped">
        <thead>
            <tr>
                <th>Nombre del Modelo</th>
                <th>Descripción</th>
                <th>URL</th>
                <th>Nombre del Estudiante</th>
                <th>Curso</th>
                <th>Email</th>
                <th>Fecha</th>
            </tr>
        </thead>
        <tbody>
            <?php $__currentLoopData = $progresos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $progreso): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <tr>
                    <td><?php echo e($progreso['modelo_nombre']); ?></td>
                    <td><?php echo e($progreso['modelo_descripcion']); ?></td>
                    <td><a href="<?php echo e($progreso['modelo_url']); ?>" target="_blank">Ver Modelo</a></td>
                    <td><?php echo e($progreso['usuario_nombre']); ?></td>
                    <td><?php echo e($progreso['usuario_curso']); ?></td>
                    <td><?php echo e($progreso['usuario_email']); ?></td>
                    <td><?php echo e(date('Y-m-d H:i:s', $progreso['timestamp'] / 1000)); ?></td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
        </tbody>
    </table>
</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\N-inventions\resources\views/progreso/index.blade.php ENDPATH**/ ?>