

<?php $__env->startSection('content'); ?>
    <section class="section">
        <div class="section-header">
            <h3 class="page__heading">Estudiantes</h3>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <a class="btn btn-warning mb-3" href="<?php echo e(route('estudiantes.create')); ?>">Agregar estudiante</a>
                            <div class="card-body">
                                <?php if(session('notificacion')): ?>
                                    <div class="alert alert-success" role="alert">
                                        <?php echo e(session('notificacion')); ?>

                                    </div>
                                <?php endif; ?>
                                <!-- Formulario de búsqueda -->
                                <form action="<?php echo e(route('estudiantes.buscar')); ?>" method="GET" class="form-inline mb-3">
                                    <div class="input-group">
                                        <input type="text" name="query" class="form-control" placeholder="Buscar estudiante por carnet">
                                        <div class="input-group-append">
                                            <button class="btn btn-outline-secondary" type="submit">Buscar</button>
                                        </div>
                                    </div>
                                </form>
                                
                                <!-- Mostrar todos los estudiantes -->
                                <form action="<?php echo e(route('estudiantes.index')); ?>" method="GET" class="mb-3">
                                    <button type="submit" class="btn btn-primary">Mostrar todos los estudiantes</button>
                                </form>
                            </div>

                            <!-- Tabla de estudiantes -->
                            <div class="table-responsive">
                                <table class="table table-striped mt-2">
                                    <thead style="background-color:#429ac4">
                                        <tr>
                                            <th style="color:#fff">Nombres</th>
                                            <th style="color:#fff">Apellidos</th>
                                            <th style="color:#fff">CI</th>
                                            <th style="color:#fff">Fecha de nacimiento</th>
                                            <th style="color:#fff">Teléfono</th>
                                            <th style="color:#fff">Dirección</th>
                                            <th style="color:#fff">Correo</th>
                                            <th style="color:#fff">Curso</th>
                                            <th style="color:#fff">Condición</th>
                                            <th style="color:#fff">Estado</th>
                                            <th style="color:#fff">Acciones</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        <?php $__currentLoopData = $estudiantes; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $estudiante): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                  <td><?php echo e($estudiante->nombre); ?></td>
                                                <td><?php echo e($estudiante->apellidos); ?></td>
                                                <td><?php echo e($estudiante->CI); ?></td>
                                                <td><?php echo e(date('d/m/Y', strtotime($estudiante->fecha))); ?></td>
                                                <td><?php echo e($estudiante->tel); ?></td>
                                                <td><?php echo e($estudiante->direccion); ?></td>
                                                <td><?php echo e($estudiante->correo); ?></td>
                                                <td><?php echo e($estudiante->curso->nombre); ?></td>
                                                <td><?php echo e($estudiante->condicion); ?></td>
                                                <td><?php echo e($estudiante->estado == 1 ? 'Activo' : 'Inactivo'); ?></td>
                                                <td>
                                                 
                                                    <form action="<?php echo e(route('estudiantes.destroy', $estudiante->id)); ?>" method="POST">
                                                        <a class="btn btn-info" href="<?php echo e(route('estudiantes.edit', $estudiante->id)); ?>">Editar</a>
                                                        <?php echo csrf_field(); ?>
                                                        <?php echo method_field('DELETE'); ?>
                                                        <button type="submit" class="btn btn-danger"><?php echo e($estudiante->estado == 1 ? 'Desactivar' : 'Activar'); ?></button>
                                                    </form>
                                                        <form action="<?php echo e(route('estudiantes.generateUserForm', $estudiante->id)); ?>" method="get">
                                                            <?php echo csrf_field(); ?>
                                                            <button type="submit" class="btn btn-success">Generar Usuario</button>
                                                        </form>
                                                   
                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                            </div>

                            <!-- Links de paginación -->
                            <div>
                                <?php echo e($estudiantes->links()); ?>

                            </div>

                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <link rel="stylesheet" href="https://code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\N-inventions\resources\views/estudiantes/index.blade.php ENDPATH**/ ?>