

<?php $__env->startSection('content'); ?>
    <section class="section">
        <div class="section-header">
            <h3 class="page__heading">Modelos</h3>
        </div>
        <?php if(session('error')): ?>
            <div class="alert alert-danger">
                <?php echo e(session('error')); ?>

            </div>
        <?php endif; ?>
        <?php if(session('success')): ?>
            <div class="alert alert-success">
                <?php echo e(session('success')); ?>

            </div>
        <?php endif; ?>

        <div class="section-body">
            <div class="card">
                <div class="card-body">
                    <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('administrador')): ?>
                    <a class="btn btn-primary" href="<?php echo e(route('modelo.create')); ?>">Agregar Modelo</a>
<?php endif; ?>
                    <table class="table mt-4">
                        <thead>
                            <tr>
                                <th>Nombre</th>
                                <th>Descripción</th>
                                <th>Estado</th>
                                <th>Acciones</th>
                            </tr>
                        </thead>
                        <tbody>
                            <?php $__currentLoopData = $modelos; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $modelo): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <tr>
                                    <td><?php echo e($modelo->nombre); ?></td>
                                    <td><?php echo e($modelo->descripcion); ?></td>
                                    
                                    <td><?php echo e($modelo->estado ? 'Activo' : 'Inactivo'); ?></td>
                                    <td>
                                        <?php if (app(\Illuminate\Contracts\Auth\Access\Gate::class)->check('administrador')): ?>
                                        <a href="<?php echo e(route('modelo.edit', $modelo->id)); ?>" class="btn btn-warning">Editar</a>
                                        <form action="<?php echo e(route('modelo.destroy', $modelo->id)); ?>" method="POST" style="display:inline-block;">
                                            <?php echo csrf_field(); ?>
                                            <?php echo method_field('DELETE'); ?>
                                            <button type="submit" class="btn btn-danger">
                                                <?php echo e($modelo->estado ? 'Desactivar' : 'Activar'); ?>

                                            </button>
                                        </form>
                                        <a href="<?php echo e(route('modelo.descomprimir', $modelo->id)); ?>" class="btn btn-info">Descomprimir</a>
                                        <?php endif; ?>
                                        <a href="<?php echo e(route('modelo.generateQR', $modelo->id)); ?>" class="btn btn-success">Generar QR</a>
                                    </td>
                                </tr>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </tbody>
                    </table>

                    <div class="pagination justify-content-end">
                        <?php echo e($modelos->links()); ?>

                    </div>
                </div>
            </div>
        </div>
    </section>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\N-inventions\resources\views/modelo/index.blade.php ENDPATH**/ ?>