

<?php $__env->startSection('content'); ?>
    <section class="section">
        <div class="section-header">
            <h3 class="page__heading">Maestros</h3>
        </div>
        <div class="section-body">
            <div class="row">
                <div class="col-lg-12">
                    <div class="card">
                        <div class="card-body">
                            <a class="btn btn-warning" href="<?php echo e(route('maestros.create')); ?>">Agregar maestro</a>
                            
                            <?php if(session('notificacion')): ?>
                                <div class="alert alert-success mt-2" role="alert">
                                    <?php echo e(session('notificacion')); ?>

                                </div>
                            <?php endif; ?>

                            <div class="form-container mt-2">
                                <form action="<?php echo e(route('maestros.buscar')); ?>" method="GET">
                                    <div class="input-group mb-3">
                                        <input type="text" name="query" class="form-control" placeholder="Buscar maestro por carnet">
                                        <div class="input-group-append">
                                            <button class="btn btn-outline-secondary" type="submit">Buscar</button>
                                        </div>
                                    </div>
                                </form>
                            </div>

                            <div class="table-responsive-sm">
                                <table class="table table-striped mt-2">
                                    <thead style="background-color:#429ac4">
                                        <th style="display: none;">ID</th>
                                        <th style="color:#fff">Nombre</th>
                                        <th style="color:#fff">Apellidos</th>
                                        <th style="color:#fff">CI</th>
                                        <th style="color:#fff">Fecha de nacimiento</th>
                                        <th style="color:#fff">Teléfono</th>
                                        <th style="color:#fff">Dirección</th>
                                        <th style="color:#fff">Correo</th>
                                        <th style="color:#fff">Especialidad</th>
                                        <th style="color:#fff">Estado</th>
                                        <th style="color:#fff">Acciones</th>
                                    </thead>
                                    <tbody>
                                        <?php $__currentLoopData = $maestros; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $maestro): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                            <tr>
                                                <td style="display: none;"><?php echo e($maestro->id); ?></td>
                                                <td><?php echo e($maestro->nombre); ?></td>
                                                <td><?php echo e($maestro->apellidos); ?></td>
                                                <td><?php echo e($maestro->CI); ?></td>
                                                <td><?php echo e(date('d/m/Y', strtotime($maestro->fecha))); ?></td>
                                                <td><?php echo e($maestro->tel); ?></td>
                                                <td><?php echo e($maestro->direccion); ?></td>
                                                <td><?php echo e($maestro->correo); ?></td>
                                                <td><?php echo e($maestro->especialidad); ?></td>
                                                <td>
                                                    <?php if($maestro->estado): ?>
                                                        <span class="badge badge-success">Activo</span>
                                                    <?php else: ?>
                                                        <span class="badge badge-danger">Inactivo</span>
                                                    <?php endif; ?>
                                                </td>
                                                <td>
                                                    <div class="btn-group">
                                                        <a class="btn btn-info" href="<?php echo e(route('maestros.edit', $maestro->id)); ?>">Editar</a>

                                                        <form action="<?php echo e(route('maestros.destroy', $maestro->id)); ?>" method="POST">
                                                            <?php echo csrf_field(); ?>
                                                            <?php echo method_field('DELETE'); ?>
                                                            <button type="submit" class="btn btn-danger">Cambiar estado</button>
                                                        </form>
                                                        
                                                        <form action="<?php echo e(route('maestros.generateUserForm', $maestro->id)); ?>" method="GET" class="ml-2">
                                                            <button type="submit" class="btn btn-primary">Generar usuario</button>
                                                        </form>
                                                        
                                                    </div>
                                                </td>
                                            </tr>
                                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                    </tbody>
                                </table>
                                <div class="pagination justify-content-end">
                                    <?php echo $maestros->links(); ?>

                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\N-inventions\resources\views/maestros/index.blade.php ENDPATH**/ ?>