

<?php $__env->startSection('content'); ?>
<div class="container">
    <h1>Gestión de Aplicaciones</h1>
    <a href="<?php echo e(route('apps.create')); ?>" class="btn btn-primary mb-3">Subir Nueva Aplicación</a>

    <?php if(session('success')): ?>
        <div class="alert alert-success">
            <?php echo e(session('success')); ?>

        </div>
    <?php endif; ?>

    <?php if(session('error')): ?>
        <div class="alert alert-danger">
            <?php echo e(session('error')); ?>

        </div>
    <?php endif; ?>

    <table class="table table-bordered">
        <thead>
            <tr>
                <th>#</th>
                <th>Nombre</th>
                <th>Descripción</th>
                <th>Archivo ZIP</th>
                <th>Estado APK</th>
                <th>Acciones</th>
            </tr>
        </thead>
        <tbody>
            <?php $__empty_1 = true; $__currentLoopData = $apps; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $app): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); $__empty_1 = false; ?>
                <tr>
                    <td><?php echo e($app->id); ?></td>
                    <td><?php echo e($app->nombre); ?></td>
                    <td><?php echo e($app->descripcion); ?></td>
                    <td>
                        <a href="<?php echo e(asset('storage/' . $app->archivo_zip)); ?>" target="_blank">
                            Descargar ZIP
                        </a>
                    </td>
                    <td>
                        <?php if($app->apk_path): ?>
                            <span class="text-success">APK Generado</span>
                        <?php else: ?>
                            <span class="text-danger">Sin Generar</span>
                        <?php endif; ?>
                    </td>
                    <td>
                        <!-- Botón para descomprimir -->
                        <?php if(!$app->apk_path): ?>
                            <form action="<?php echo e(route('apps.descomprimir', $app->id)); ?>" method="POST" style="display: inline;">
                                <?php echo csrf_field(); ?>
                                <button type="submit" class="btn btn-warning btn-sm">
                                    Descomprimir
                                </button>
                            </form>
                        <?php endif; ?>

                        <!-- Botón para generar QR -->
                        <?php if($app->apk_path): ?>
                            <a href="<?php echo e(route('apps.generateQr', $app->id)); ?>" class="btn btn-success btn-sm">
                                Generar QR
                            </a>
                        <?php endif; ?>

                        <!-- Botón para editar -->
                        <a href="<?php echo e(route('apps.edit', $app->id)); ?>" class="btn btn-primary btn-sm">
                            Editar
                        </a>

                        <!-- Botón para eliminar -->
                        <form action="<?php echo e(route('apps.destroy', $app->id)); ?>" method="POST" style="display: inline;">
                            <?php echo csrf_field(); ?>
                            <?php echo method_field('DELETE'); ?>
                            <button type="submit" class="btn btn-danger btn-sm" onclick="return confirm('¿Estás seguro de eliminar esta aplicación?')">
                                Eliminar
                            </button>
                        </form>
                    </td>
                </tr>
            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); if ($__empty_1): ?>
                <tr>
                    <td colspan="6" class="text-center">No hay aplicaciones registradas.</td>
                </tr>
            <?php endif; ?>
        </tbody>
    </table>

    <!-- Paginación -->
    <?php echo e($apps->links()); ?>

</div>
<?php $__env->stopSection(); ?>

<?php echo $__env->make('layouts.app', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\N-inventions\resources\views/apps/index.blade.php ENDPATH**/ ?>