<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="utf-8">
    <title>Escolar</title>
    <meta content="width=device-width, initial-scale=1.0" name="viewport">
    <meta content="Sistema escolar" name="keywords">
    <meta content="Información de la institución escolar" name="description">

    <!-- Favicon -->
    <link href="img/favicon.ico" rel="icon">

    <!-- Google Fonts -->
    <link href="https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;600;700&display=swap" rel="stylesheet">

    <!-- Font Awesome -->
    <link href="https://cdnjs.cloudflare.com/ajax/libs/font-awesome/5.15.4/css/all.min.css" rel="stylesheet">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css" rel="stylesheet">

    <!-- Custom CSS -->
    <style>
        body {
            font-family: 'Poppins', sans-serif;
            background-color: #f9f9f9;
            color: #333;
        }

        /* Navbar */
        .navbar {
            background: linear-gradient(90deg, #e63946, #7f1d1d);
            color: #fff;
        }
        .navbar-nav .nav-link {
            color: #fff;
            font-weight: 600;
        }
        .navbar-nav .nav-link:hover {
            color: #f1f1f1;
        }

        /* Page Header */
        .page-header {
            background: url('img/back1.jpg') no-repeat center center/cover;
            height: 400px;
            position: relative;
            color: #fff;
            text-align: center;
            display: flex;
            justify-content: center;
            align-items: center;
        }
        .page-header::before {
            content: "";
            position: absolute;
            top: 0;
            left: 0;
            width: 100%;
            height: 100%;
            background: rgba(0, 0, 0, 0.6);
        }
        .page-header h1 {
            position: relative;
            font-size: 3.5rem;
            font-weight: 700;
        }

        /* Table */
        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 20px;
        }
        th, td {
            border: 1px solid #ddd;
            padding: 10px;
            text-align: left;
        }
        th {
            background-color: #e63946;
            color: #fff;
        }
        td {
            background-color: #fdfdfd;
        }

        /* Info Section */
        .info-section h2 {
            color: #7f1d1d;
            font-weight: bold;
        }
        .info-section img {
            border-radius: 10px;
        }

        /* Footer */
        footer {
            background: #7f1d1d;
            color: #fff;
            padding: 20px 0;
        }
        footer a {
            color: #f1f1f1;
        }
        footer a:hover {
            color: #e63946;
        }
    </style>
</head>

<body>
    <!-- Navbar -->
    <nav class="navbar navbar-expand-lg navbar-dark">
        <div class="container">
            <a class="navbar-brand" href="index.html">
                <img src="img/logo.png" alt="Logo" width="90" height="80"> Unidad Educativa
            </a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarCollapse">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarCollapse">
                <ul class="navbar-nav ms-auto">
                    <li class="nav-item"><a class="nav-link" href="/">Inicio</a></li>
                    <li class="nav-item"><a class="nav-link" href="<?php echo e(route('pages.show', 'about')); ?>">Acerca de</a></li>
                    <li class="nav-item"><a class="nav-link active" href="<?php echo e(route('pages.show', 'contact')); ?>">Contacto</a></li>
                    <?php if(Route::has('login')): ?>
                    <?php if(auth()->guard()->check()): ?>
                        <li class="nav-item"><a href="<?php echo e(url('/home')); ?>" class="nav-link">Administración</a></li>
                    <?php else: ?>
                        <li class="nav-item"><a href="<?php echo e(url('/login')); ?>" class="nav-link">Iniciar sesión</a></li>
                    <?php endif; ?>
                    <?php endif; ?>
                </ul>
            </div>
        </div>
    </nav>

    <!-- Page Header -->
    <div class="page-header">
        <h1>Unidad Educativa Baptista Canadiense</h1>
    </div>

    <!-- Information Section -->
    <div class="container py-5 info-section">
        <h2 class="text-center mb-4">Descubre la Unidad Educativa Baptista Canadiense</h2>
        <div class="row align-items-center">
            <div class="col-md-6">
                <img src="<?php echo e(asset('img/logo.png')); ?>" alt="Director General" class="img-fluid">
            </div>
            <div class="col-md-6">
                <p class="lead">Bienvenidos a la Unidad Educativa Baptista Canadiense, donde la excelencia educativa y los valores son nuestra prioridad.</p>
            </div>
        </div>
    </div>

    <!-- Table Section -->
    <div class="container py-4">
        <h3 class="text-center mb-4" style="color: #e63946;">Nuestra Información</h3>
        <table>
            <tr>
                <th>Director General</th>
                <td>Lic. Néstor Ortuño</td>
            </tr>
            <tr>
                <th>Dirección</th>
                <td>Calle Aspiazu esq. 20 de Octubre #467, La Paz, Bolivia</td>
            </tr>
            <tr>
                <th>Misión</th>
                <td>Brindar una formación integral basada en valores, convivencia y excelencia académica.</td>
            </tr>
            <tr>
                <th>Valores</th>
                <td>Respeto, compromiso, solidaridad, responsabilidad, innovación y trabajo en equipo.</td>
            </tr>
            <tr>
                <th>Fundación</th>
                <td>1923</td>
            </tr>
            <tr>
                <th>Centenario</th>
                <td>Celebrando 100 años de servicio educativo (1923-2023).</td>
            </tr>
        </table>
    </div>

    <!-- Footer -->
    <footer class="text-center">
        <div class="container">
            <p>&copy; 2024 Unidad Educativa Claudio Sanjines. Todos los derechos reservados.</p>
        </div>
    </footer>

    <!-- Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/js/bootstrap.bundle.min.js"></script>
</body>
</html>
<?php /**PATH C:\xampp\htdocs\N-inventions\resources\views/pages/about.blade.php ENDPATH**/ ?>