<!DOCTYPE html>
<html lang="<?php echo e(str_replace('_', '-', app()->getLocale())); ?>">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>Bienvenido a Mi Aplicación</title>
    <link href="https://fonts.googleapis.com/css2?family=Nunito:wght@400;600;700&display=swap" rel="stylesheet">
    <style>
        body {
            font-family: 'Nunito', sans-serif;
            background-color: #f7fafc;
            color: #4a5568;
            margin: 0;
            padding: 0;
        }
        .header {
            background-color: #2b6cb0;
            color: #ffffff;
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 16px;
        }
        .logo {
            width: 40px;
            height: 40px;
            margin-right: 8px;
        }
        .menu {
            display: flex;
            align-items: center;
        }
        .menu-item {
            margin-right: 16px;
            font-size: 16px;
            text-decoration: none;
            color: #ffffff;
        }
        .container {
            display: flex;
            justify-content: center;
            align-items: center;
            height: calc(100vh - 64px);
        }
        .card {
            background-color: #ffffff;
            border-radius: 8px;
            box-shadow: 0px 4px 10px rgba(0, 0, 0, 0.1);
            padding: 24px;
            width: 80%;
            max-width: 500px;
            text-align: center;
        }
        .title {
            font-size: 24px;
            font-weight: 600;
            margin-top: 16px;
        }
        .description {
            font-size: 16px;
            margin-top: 8px;
        }
        .link {
            color: #2b6cb0;
            text-decoration: underline;
        }
        .footer {
            margin-top: 32px;
            font-size: 12px;
            color: #a0aec0;
            text-align: center;
        }
    </style>
</head>
<body>
    <div class="header">
        <div class="logo">
            <img src="img/Logo.png" alt="Logo">
        </div>
        <div class="menu">
            <?php if(Auth::check()): ?>
                <a class="menu-item" href="<?php echo e(route('home')); ?>">Inicio</a>
            <?php else: ?>
                <a class="menu-item" href="<?php echo e(route('login')); ?>">Iniciar sesión</a>
                <a class="menu-item" href="<?php echo e(route('register')); ?>">Registrarse</a>
            <?php endif; ?>
        </div>
    </div>
    <div class="container">
        <div class="card">
            <div class="title">¡Bienvenido a nuestra aplicación !</div>
            <div class="description">
                Gracias por unirte a nosotros. Explora nuestras emocionantes características y aprovecha al máximo tu experiencia.
                <br>
                <?php if(Auth::check()): ?>
                    <a class="link" href="<?php echo e(route('home')); ?>">Ir a la página de inicio</a>.
                <?php else: ?>
                    ¿Listo para comenzar? <a class="link" href="<?php echo e(route('login')); ?>">Inicia sesión</a> o <a class="link" href="<?php echo e(route('register')); ?>">Regístrate</a>.
                <?php endif; ?>
            </div>
            <div class="footer">
                N_Inventions&copy; <?php echo e(date('Y')); ?>

            </div>
        </div>
    </div>
</body>
</html>
<?php /**PATH C:\xampp\htdocs\EjercicioSoftware\resources\views/welcome.blade.php ENDPATH**/ ?>